Bug 1306624 - [DOCS] Remove references to openscap from docs
[DOCS] Remove references to openscap from docs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-RHEL-Atomic (Show other bugs)
7.2
Unspecified Unspecified
urgent Severity high
: rc
: 7.2
Assigned To: Yoana Ruseva
Vikram Goyal
Vikram Goyal
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 08:18 EST by Vikram Goyal
Modified: 2016-03-02 05:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 05:12:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2016-02-11 08:18:48 EST
In the most recent version of Atomic Host 7.2.1 docs, the documentation states at two separate places that openscap-daemon is available.

However, this container is not currently available for install.

These references need to be removed and an update requested from engineering as to when this will be available. It also means that the atomic scan command doesn't work and the users should be warned about it.

References in the guides:
https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/container-security-guide/#openscap

https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/cli-reference/#atomic_scan
Comment 4 Yoana Ruseva 2016-02-27 11:39:38 EST
I'll steal Zac's template


Documentation Link
------------------
https://access.qa.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/cli-reference/#atomic_scan

What Changed
------------
I commented out the section for "atomic scan" and left a note that scan will not work at the moment. I did not want to completely delete it because it can be seen with "atomic --help" and people can still try it and it will fail with an error. The error message does mention the openscap container. 

Commit Information
------------------


commit 2d9cf8e56f31bfb628c247516675e2007ce1d51d
Author: Yoana Ruseva <yruseva@redhat.com>
Date:   Sat Feb 27 16:57:56 2016 +0100

    Removed openscap refs, with a warning for atomic scan

Note You need to log in before you can comment on or make changes to this bug.